# eric5.Helpviewer.PageScreenDialog

Module implementing a dialog to save a screenshot of a web page.

### Global Attributes

None

### Classes

PageScreenDialog | Class documentation goes here.

### Functions

None

## PageScreenDialog

Class documentation goes here.

### Derived from

QDialog, Ui_PageScreenDialog

### Class Attributes

None

### Class Methods

None

### Methods

PageScreenDialog | Constructor
__createPixmap | Private slot to create a pixmap of the associated view's page.
__savePageScreen | Private slot to save the page screen.
on_buttonBox_clicked | Private slot to handle clicks of the dialog buttons.

### Static Methods

None

#### PageScreenDialog (Constructor)

PageScreenDialog(view, visibleOnly=False, parent=None)

Constructor

view
  reference to the web view containing the page to be saved (HelpBrowser)
visibleOnly
  flag indicating to just save the visible part of the page (boolean)
parent
  reference to the parent widget (QWidget)

#### PageScreenDialog.__createPixmap

__createPixmap(visibleOnly)

Private slot to create a pixmap of the associated view's page.

visibleOnly
  flag indicating to just save the visible part of the page (boolean)

#### PageScreenDialog.__savePageScreen

__savePageScreen()

Private slot to save the page screen.

Returns:
  flag indicating success (boolean)

#### PageScreenDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot to handle clicks of the dialog buttons.

button
  button that was clicked (QAbstractButton)

Up